GDCM 3.2.1

Classes | Namespaces | Typedefs | Enumerations
gdcmSerieHelper.h File Reference
`#include "gdcmTag.h"`
`#include "gdcmSmartPointer.h"`
`#include "gdcmFile.h"`
`#include <vector>`
`#include <string>`
`#include <map>`
Include dependency graph for gdcmSerieHelper.h:

Go to the source code of this file.

## Classes
class | gdcm::FileWithName
| FileWithName. More...
class | gdcm::SerieHelper
| SerieHelper DO NOT USE this class, it is only a temporary solution for ITK migration from GDCM 1.x to GDCM 2.x It will disappear soon, you've been warned. More...

## Namespaces
namespace | gdcm

## Typedefs
typedef bool(* | gdcm::BOOL_FUNCTION_PFILE_PFILE_POINTER) (File *, File *)
typedef std::vector< SmartPointer< FileWithName > > | gdcm::FileList

## Enumerations
enum | gdcm::CompOperators { gdcm::GDCM_EQUAL = 0 , gdcm::GDCM_DIFFERENT , gdcm::GDCM_GREATER , gdcm::GDCM_GREATEROREQUAL , gdcm::GDCM_LESS , gdcm::GDCM_LESSOREQUAL }
enum | gdcm::LodModeType { gdcm::LD_ALL = 0x00000000 , gdcm::LD_NOSEQ = 0x00000001 , gdcm::LD_NOSHADOW = 0x00000002 , gdcm::LD_NOSHADOWSEQ = 0x00000004 }